<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class Category extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [ 'id' ];
    /***
     * List Category
     *
     * @return mixed
     */
    public function listCategories(Request $request)
    {
        $data = $this::orderBy('id', 'Desc');
        if ($request->search_name != '') {
            $data->where(function ($query) use ($request) {
                return $query
                    ->Where('name', 'like', '%' . $request->search_name . '%');
            });
        }
        return $data->paginate(session()->get('site_settings')['results_per_page']);
    }
    /***
     * Insert Category
     *
     * @return mixed
     */
    public function InsertCategory(Request $request)
    {
        $category=new $this();
        $category->name= $request->input('name');
        if($category->save()){
            return true;
        }else{
            return false;
        }
    }
    /***
     * Update Category
     *
     * @return mixed
     */
    public function UpdateCategory(Request $request,$id)
    {
        $category=$this->findOrFail($id);
        $category->name= $request->input('name');
        if($category->save()){
            return true;
        }else{
            return false;
        }
    }
}
