<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class Currency extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [ 'id' ];
    /**
     * Get the country record associated with the Currency.
     */
    public function country() {
        return $this->belongsTo('App\Country','country_id');
    }

    /***
     * List Currency
     *
     * @return mixed
     */
    public function listCurrency()
    {
        return $this->orderBy('id', 'Asc')->paginate(12);
    }
    /***
     * Insert/Update Currency
     *
     * @return mixed
     */
    public function InsertOrUpdateCurrency(Request $request,$id=0)
    {
        if($id>0){
            $currency=$this->findOrFail($id);
        }else{
            $currency=new $this();
        }
        $currency->name= $request->input('name');
        $currency->country_id= $request->input('country');
        $currency->mpx= $request->input('mpx');
        if($currency->save()){
            return true;
        }else{
            return false;
        }
    }
}
